variable "hv_fqdn" {}
variable "hv_username" {}
variable "hv_password" {
    sensitive = true
}

variable "hv_host" {}
variable "hv_datacenter" {}
variable "hv_cluster" {}

variable "hv_templatefolder" {}
variable "hv_folder" {}
variable "hv_datastore" {}
variable "hv_network" {}

variable "vm_name" {}
variable "ssh_password" {
    sensitive = true
}

variable "iso_url" {}
variable "iso_checksum" {}
variable "repo_username" {}
variable "repo_password" {
    sensitive = true
}
local "iso_authenticatedurl" {
    expression = "https://${var.repo_username}:${var.repo_password}@${var.iso_url}"
    sensitive  = true
}

variable "docker_username" {}
variable "docker_password" {
    sensitive = true
}

variable "appliance_version" {}
variable "k8s_version" {}
